Page MenuHomePhabricator

New edit summaries sometimes don't mention all languages
Closed, ResolvedPublicBUG REPORT

Description

While auditing my bot's changes, I noticed some new edit summaries don't mention all languages.

Examples:

In these edits, my bot removed a duplicate alias in the language but it isn't mentioned.
The common thing could be that there is always at least one other alias left in the same language.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2020, 9:26 AM
Lydia_Pintscher triaged this task as High priority.Mar 4 2020, 10:44 AM
Lydia_Pintscher raised the priority of this task from High to Needs Triage.
Lydia_Pintscher triaged this task as High priority.
Lydia_Pintscher moved this task from Incoming to Prioritized Product on the Wikidata-Campsite board.
Ladsgroup claimed this task.Mar 9 2020, 5:51 AM
Ladsgroup added a subscriber: Ladsgroup.

This basically happens only if you remove aliases but still there are some aliases left in that language. The system just doesn't understand a change has happened:

Funnily enough, this is not the case when you add an alias (keep in mind, we don't have concept of changed alias, it's basically one alias removed and one added).

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 9 2020, 5:51 AM
Maintenance_bot moved this task from incoming to in progress on the Wikidata board.Mar 9 2020, 6:15 AM
Maintenance_bot moved this task from Incoming to In progress on the User-Ladsgroup board.

Change 578170 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Fix buggy logic on building change op result of aliases

https://gerrit.wikimedia.org/r/578170

Change 578170 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix buggy logic on building change op result of aliases

https://gerrit.wikimedia.org/r/578170

Tested it on test Wikidata. It's not working there yet but I assume that's because it is not deployed there yet. Tried to test it on beta Wikidata but that doesn't keep me logged in on mobile for some reason and when not logged in the caching is broken and I can't see my changes reflected in the page. Next try after deployment on test.

Lydia_Pintscher closed this task as Resolved.Mar 20 2020, 9:56 AM

Seems to be working fine now \o/